Skip to main content
GET
Stock Screener

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string

Query language expression combined with the other filters. Use the query language for complex filters with mathematical calculations and comparisons between fields. Get supported fields, operators, and scopes from /api/screener/stocks/dsl.

min_pct_price_change_1_year
number<float>

Return securities with a price change over one calendar year of at least this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

max_pct_price_change_1_year
number<float>

Return securities with a price change over one calendar year of at most this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

min_pct_price_change_6_month
number<float>

Return securities with a price change over six calendar months of at least this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

max_pct_price_change_6_month
number<float>

Return securities with a price change over six calendar months of at most this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

min_pct_price_change_3_month
number<float>

Return securities with a price change over three calendar months of at least this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

max_pct_price_change_3_month
number<float>

Return securities with a price change over three calendar months of at most this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

min_pct_price_change_1_month
number<float>

Return securities with a price change over one calendar month of at least this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

max_pct_price_change_1_month
number<float>

Return securities with a price change over one calendar month of at most this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

min_pct_price_change_1_week
number<float>

Return securities with a price change over seven calendar days of at least this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

max_pct_price_change_1_week
number<float>

Return securities with a price change over seven calendar days of at most this decimal fraction, inclusive. 0.5 means a 50% gain and -0.2 means a 20% loss. Uses the latest accepted price and the latest regular close on or before the calendar cutoff. Rows with an unavailable return are excluded.

ticker
string

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

limit
integer
default:50

Maximum full rows to return. Defaults to 50 and is capped at 500. Smaller explicit limits are honored.

Required range: 1 <= x <= 500
offset
integer
default:0

Zero-based page number. The number of skipped rows is offset multiplied by the effective limit.

Required range: 0 <= x <= 500
issue_types[]
enum<string>[]

An array of 1 or more issue types.

A singular issue type.

Available options:
Common Stock,
ETF,
Index,
ADR
Example:
min_change
string

The minimum % change to the previous trading day.

max_change
string

The maximum % change to the previous trading day.

min_underlying_price
string

The minimum stock price.

max_underlying_price
string

The maximum stock price.

is_s_p_500
boolean

Boolean whether to only include stocks which are part of the S&P 500. Setting this to false has no effect.

has_dividends
boolean

Boolean wheter to only include stocks which pay dividends. Setting this to false has no effect.

sectors[]
enum<string>[]

An array of 1 or more sectors.

A singular sector.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:
industry
string

Return securities with this exact company industry label. Separate multiple labels with commas to match any listed industry. Labels come from company data, not a fixed enumeration. The industries and industry_type aliases are also accepted.

min_marketcap
string

The minimum marketcap.

max_marketcap
string

The maximum marketcap.

min_perc_3_day_total
string

The minimum ratio of options volume vs 3 day avg options volume.

max_perc_3_day_total
string

The maximum ratio of options volume vs 3 day avg options volume.

min_perc_3_day_call
string

The minimum ratio of call options volume vs 3 day avg call options volume.

max_perc_3_day_call
string

The maximum ratio of call options volume vs 3 day avg call options volume.

min_perc_3_day_put
string

The minimum ratio of put options volume vs 3 day avg put options volume.

max_perc_3_day_put
string

The maximum ratio of put options volume vs 3 day avg put options volume.

min_perc_30_day_total
string

The minimum ratio of options volume vs 30 day avg options volume.

max_perc_30_day_total
string

The maximum ratio of options volume vs 30 day avg options volume.

min_perc_30_day_call
string

The minimum ratio of call options volume vs 30 day avg call options volume.

max_perc_30_day_call
string

The maximum ratio of call options volume vs 30 day avg call options volume.

min_perc_30_day_put
string

The minimum ratio of put options volume vs 30 day avg put options volume.

max_perc_30_day_put
string

The maximum ratio of put options volume vs 30 day avg put options volume.

min_total_oi_change_perc
string

The minimum open interest change compared to the previous day.

max_total_oi_change_perc
string

The maximum open interest change compared to the previous day.

min_call_oi_change_perc
string

The minimum open interest change of call contracts compared to the previous day.

max_call_oi_change_perc
string

The maximum open interest change of call contracts compared to the previous day.

min_put_oi_change_perc
string

The minimum open interest change of put contracts compared to the previous day.

max_put_oi_change_perc
string

The maximum open interest change of put contracts compared to the previous day.

min_implied_move
string

The minimum implied move.

max_implied_move
string

The maximum implied move.

min_implied_move_perc
string

The minimum implied move perc.

max_implied_move_perc
string

The maximum implied move perc.

min_volatility
string

The minimum volatility.

max_volatility
string

The maximum volatility.

min_iv_rank
string

The minimum iv rank.

max_iv_rank
string

The maximum iv rank.

min_volume
integer

The minimum options volume.

max_volume
integer

The maximum options volume.

min_call_volume
integer

The minimum call options volume.

max_call_volume
integer

The maximum call options volume.

min_put_volume
integer

The minimum put options volume.

max_put_volume
integer

The maximum put options volume.

min_premium
string

The minimum options premium.

max_premium
string

The minimum options premium.

min_call_premium
string

The minimum call options premium.

max_call_premium
string

The minimum call options premium.

min_put_premium
string

The minimum put options premium.

max_put_premium
string

The minimum put options premium.

min_net_premium
string

The minimum net options premium.

max_net_premium
string

The minimum net options premium.

min_net_call_premium
string

The minimum net call options premium.

max_net_call_premium
string

The maximum net call options premium.

min_net_put_premium
string

The minimum net put options premium.

max_net_put_premium
string

The maximum net put options premium.

min_oi
integer

The minimum open interest.

max_oi
integer

The maximum open interest.

min_oi_vs_vol
string

The minimum open interest vs options volume ratio.

max_oi_vs_vol
string

The maximum open interest vs options volume ratio.

min_put_call_ratio
string

The minimum put to call ratio.

max_put_call_ratio
string

The maximum put to call ratio.

order
string
default:volume

Sort by a screener field, such as ticker, marketcap, stock_volume, z_score, or steepness_180_30. The default volume is combined call and put contract volume. Quote fields support sorting only for current data. The added is_index and missing_periscope fields are not sortable.

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

min_stock_volume_vs_avg30_volume
string

The minimum stock volume vs average 30 day volume.

max_avg30_volume
string

The maximum stock volume vs average 30 day volume.

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

Matching stock screener rows. Decimal values are JSON strings.

data
object[]
required

Rows after filtering, sorting, and pagination. Empty when no rows match.

Last modified on September 29, 2026